.box-container {
  width: 100%;
  display: flex;
  justify-content: center;
  flex-flow: row wrap;
  align-items: flex-start;
}

.box {
  padding: 10px;
}

.box .mat-card {
  min-height: 300px;
}

.box .inner-card-container {
  display: flex;
  flex-flow: column;
  height: -webkit-fill-available;
  flex-grow: 1;
}

.box .inner-card-container .box-content {
  flex-grow: 1;
  display: flex;
  flex-flow: column;
  justify-content: center;
  align-items: center;
}
.recent-title {
  display: flex;
  align-items: flex-start;
  flex-flow: row;
  justify-content: space-between;
}

.recent-title .rs-name-address {
  flex-grow: 1;
  flex-flow: column;
}

.recent-title .rs-name-address .rs-name {
  font-weight: 400;
  font-size: 18px;
  line-height: 20px;
  color: #22272C;
}

.rs-address-dark {
  color: #333;
  font-size: .7rem;
  line-height: .8rem;
}

.recent-title .rs-distance {
  color: #6c757d;
  font-size: .7rem;
  line-height: .8rem;
  align-self: flex-start;
  text-align: right;
  margin-top: 6px;
}

.updated {
  /* margin-top:15px; */
  /* margin-bottom:15px; */
  color: #6c757d;
  font-size: .7rem;
  line-height: .8rem;
  text-align: left;
}

.updated span {
  border-bottom: 1px dashed #6c757d;
}

.needed-item {
  display: flex;
  flex-flow: column;
  align-items: center;
  margin: 15px auto;
}

.needed-item h1 {
  font-weight: 500;
  font-size: 36px;
  line-height: 47px;
  margin: 0;
}

.needed-item span {
  font-style: normal;
  font-weight: normal;
  font-size: 12px;
  line-height: 16px;
}

.urgent-item {
  display: flex;
  flex-flow: column;
  align-items: center;
  margin: 15px auto;
}

.urgent-item h1 {
  font-weight: 500;
  font-size: 36px;
  line-height: 47px;
  color: red;
  margin: 0;
}

.urgent-item span {
  font-style: normal;
  font-weight: normal;
  font-size: 12px;
  line-height: 16px;
}

.footer-action {
  margin-top: 25px;
  display: flex;
  flex-flow: row;
  justify-content: space-between;
  align-items: center;
}

a.detail-rs-link {
  text-align: center;
  align-self: center;
  color: #3389FE;
}

.recent-info {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  font-size: .8rem !important;
  line-height: .9rem !important;
  color: #858A93;
  flex-grow: 1;
}

.recent-description {
  margin-top: 10px;
  font-size: .8rem !important;
  line-height: .9rem !important;
  color: #858A93;
  min-width: 30%;
  align-self: flex-end;
  align-content: flex-end;
  text-align: right;
}

.header-recent-post {
  margin: 5px 30px;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
}

.recent-info .mat-icon {
  margin-right: 15px;
}

@media only screen and (max-width: 677px) {
  /* Display 1 card per row*/
  .box {
    width: calc(100% - 30px);
  }
  .header-recent-post {
    flex-direction: column;
    align-items: flex-start;
    margin: 5px 15px;
  }

  .recent-info {
    flex-direction: column;
    align-items: center;
    margin-top: 10px;
    font-size: .8rem !important;
    line-height: .9rem !important;
  }
}

@media only screen and (min-width: 678px) and (max-width: 992px) {

  /* Display 2 card per row*/
  .box {
    width: calc(50% - 30px);
  }
}

@media only screen and (min-width: 993px) and (max-width: 1200px) {

  /* Display 3 card per row*/
  .box {
    width: calc(33.3% - 30px);
  }
}

@media only screen and (min-width: 1201px) and (max-width: 1400px) {

  /* Display 4 card per row*/
  .box {
    width: calc(25% - 30px);
  }
}

@media only screen and (min-width: 1401px) {

  /* Display 5 card per row*/
  .box {
    width: calc(20% - 30px);
  }
}
